FreeMat

- Main Page
- Related Pages

vtkPStreamTracer

Section: Visualization Toolkit Parallel Classes

# Usage

This class implements some necessary functionality used by distributed and parallel streamline generators. Note that all processes must have access to the WHOLE seed source, i.e. the source must be identical on all processes.

To create an instance of class vtkPStreamTracer, simply invoke its constructor as follows

      obj = vtkPStreamTracer

# Methods

The class vtkPStreamTracer has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPStreamTracer class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPStreamTracer = obj.NewInstance ()`
- `vtkPStreamTracer = obj.SafeDownCast (vtkObject o)`
- `obj.SetController (vtkMultiProcessController controller)` - Set/Get the controller use in compositing (set to the global controller by default) If not using the default, this must be called before any other methods.
- `vtkMultiProcessController = obj.GetController ()` - Set/Get the controller use in compositing (set to the global controller by default) If not using the default, this must be called before any other methods.